#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private tickPNL[] cachetickPNL;

		
		public tickPNL tickPNL(string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			return tickPNL(Input, versionInfo, tickLimitDisconnect, flatBeforeDisconnect, delayDisconnect);
		}


		
		public tickPNL tickPNL(ISeries<double> input, string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			if (cachetickPNL != null)
				for (int idx = 0; idx < cachetickPNL.Length; idx++)
					if (cachetickPNL[idx].versionInfo == versionInfo && cachetickPNL[idx].tickLimitDisconnect == tickLimitDisconnect && cachetickPNL[idx].flatBeforeDisconnect == flatBeforeDisconnect && cachetickPNL[idx].delayDisconnect == delayDisconnect && cachetickPNL[idx].EqualsInput(input))
						return cachetickPNL[idx];
			return CacheIndicator<tickPNL>(new tickPNL(){ versionInfo = versionInfo, tickLimitDisconnect = tickLimitDisconnect, flatBeforeDisconnect = flatBeforeDisconnect, delayDisconnect = delayDisconnect }, input, ref cachetickPNL);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.tickPNL tickPNL(string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			return indicator.tickPNL(Input, versionInfo, tickLimitDisconnect, flatBeforeDisconnect, delayDisconnect);
		}


		
		public Indicators.tickPNL tickPNL(ISeries<double> input , string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			return indicator.tickPNL(input, versionInfo, tickLimitDisconnect, flatBeforeDisconnect, delayDisconnect);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.tickPNL tickPNL(string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			return indicator.tickPNL(Input, versionInfo, tickLimitDisconnect, flatBeforeDisconnect, delayDisconnect);
		}


		
		public Indicators.tickPNL tickPNL(ISeries<double> input , string versionInfo, bool tickLimitDisconnect, bool flatBeforeDisconnect, int delayDisconnect)
		{
			return indicator.tickPNL(input, versionInfo, tickLimitDisconnect, flatBeforeDisconnect, delayDisconnect);
		}

	}
}

#endregion
